## XfceHVBox

XfceHVBox — Container widget with configurable orientation

## Functions

GtkWidget * | xfce_hvbox_new ()
void | xfce_hvbox_set_orientation ()
GtkOrientation | xfce_hvbox_get_orientation ()

## Types and Values

struct | XfceHVBox

## Includes

    #include <libxfce4panel/libxfce4panel.h>

## Description

> XfceHVBox is deprecated and will not work with Gtk3. If your code depends on Gtk+ 2.16 or later, if it better to use the normal GtkBox widgets in combination with `gtk_orientable_set_orientation()`.

XfceHVBox is a GtkBox widget that allows the user to change its orientation. It is in fact a combination of GtkHBox and GtkVBox.

See also: GtkOrientable and GtkBox.

## Functions

### xfce_hvbox_new ()

    GtkWidget *
    xfce_hvbox_new (GtkOrientation orientation,
                    gboolean homogeneous,
                    gint spacing);

`xfce_hvbox_new` has been deprecated since version 4.14 and should not be used in newly-written code.

Use `gtk_box_new()` instead

Creates a new XfceHVBox container widget.

#### Parameters

orientation | Orientation of the XfceHVBox |
homogeneous | whether all children should be allocated the same size |
spacing | spacing between XfceHVBox children |

#### Returns

the newly allocated XfceHVBox container widget.

### xfce_hvbox_set_orientation ()

    void
    xfce_hvbox_set_orientation (XfceHVBox *hvbox,
                                GtkOrientation orientation);

`xfce_hvbox_set_orientation` has been deprecated since version 4.14 and should not be used in newly-written code.

Use `gtk_orientable_set_orientation()` instead

Set the new orientation of the XfceHVBox container widget.

#### Parameters

hvbox | XfceHVBox |
orientation | the new orientation of the XfceHVBox |

### xfce_hvbox_get_orientation ()

    GtkOrientation
    xfce_hvbox_get_orientation (XfceHVBox *hvbox);

`xfce_hvbox_get_orientation` has been deprecated since version 4.14 and should not be used in newly-written code.

Use `gtk_orientable_get_orientation()` instead

Get the current orientation of the `hvbox` .

#### Parameters

hvbox | XfceHVBox |

#### Returns

the current orientation of the XfceHVBox.

## Types and Values

### struct XfceHVBox

    struct XfceHVBox {
    };

This struct contain private data only and should be accessed by the functions below.